Subject: Re: [Ksummit-2005-discuss] Summary of 2005 Kernel Summit Proposed Topics

From: "H. Peter Anvin" <[email-masked]>
Date: Tue, 29 Mar 2005 21:12:31 -0800

Dmitry Yusupov wrote:
> On Tue, 2005-03-29 at 17:20 +0200, Andi Kleen wrote:
> 
>>>In your scenario, if we're out of memory and the system needs several
>>>ACK's to the swap device for pages to be released to the system, I don't
>>>see how we make forward progress since without a reserved resource to
>>>allocate from how does the ack make it up the stack to the storage
>>>driver layer?
>>
>>Typically because the RX ring of the driver has some packets left.
> 
> 
> You can not be sure. Some NICs has very small number for possible HW
> ring buffers. Under OOM pressure, most likely, host will be so slow that
> resources might not just be returned back to the HW in time. Though it
> depends on link-layer driver implementation.
> 

This seems to become part of the whole thing... in other words, in an 
OOM situation, may have to free RX ring entries by just dropping packets 
as necessary...

	-hpa